@import url("https://fonts.googleapis.com/css?family=Work+Sans:300,400,500,700&display=swap");
@font-face {
  font-family: "With Sans";
  src: url("../fonts/WithAgrandir-Master.ttf") format("truetype-variations");
  font-weight: 100 900;
  font-stretch: 50% 200%;
}
@font-face {
  font-family: "Agrandir Grotesk";
  src: url("../fonts/AgrandirGroteskVariable.ttf") format("truetype-variations");
  font-weight: 100 900;
  font-stretch: 50% 200%;
}

body {
  font-family: "Agrandir Grotesk";
  font-weight: 400;
  color: #2c2721;
  background-color: #f9f4f0;
}

* {
  font-family: "Agrandir Grotesk";
  font-weight: 400;
  list-style: none;
  padding: 0;
  margin: 0;
}

.wrapper {
  padding: 20px;
}

.with_colors {
  max-width: 1200px;
  margin: 0 auto;
}

/* ========  NAV  ======== */

nav a {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  text-decoration: none;
}

nav a p {
  color: #2c2721;
  text-decoration: none;
}

/* ========  HEADER  ======== */

.header h1 {
  margin-top: 30px;
  margin-bottom: 0px;
}

.header h2 {
  font-size: 20px;
  margin-top: 0px;
  margin-bottom: 60px;
}

h3.color-group-title {
  margin-bottom: 20px;
}

/* ========  COLORS  ======== */

.with_colors {
  max-width: 1400px;
  margin: 50px auto 150px;
}
.with_colors .header {
  width: 80%;
}
.with_colors .color_grid,
.with_colors .gray_grid {
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  gap: 20;
}
@media (max-width: 768px) {
  .with_colors .color_grid,
  .with_colors .gray_grid {
    width: 100%;
  }
}
.with_colors .color_grid {
  margin-bottom: 50px;
}
.with_colors .color_grid .color {
  min-width: 250px;
  flex: 1 1 calc(33% - 60px);
}
.with_colors .color_grid .color:hover {
  /* transform: scale(1.02); */
  flex: 1 1 calc(33% - 20px);
}
.with_colors .gray_grid {
  margin: 20px auto;
  border-radius: 2px;
}
.with_colors .gray_grid .color {
  margin: 0;
  min-width: unset;
  flex: 1 1 10%;
}
.with_colors .gray_grid .color:hover {
  flex: 1 1 12%;
}
.with_colors .color {
  height: 200px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: all 0.2s ease-in-out;
  list-style: none;
  cursor: pointer;
}
@media (max-width: 768px) {
  .with_colors .color {
    height: 150px;
  }
}
.with_colors .color h3 {
  margin-bottom: 0;
}
.with_colors .color h4 {
  font-weight: 400;
  user-select: text;
  cursor: pointer;
}
.with_colors .color.neutral-1 {
  background-color: #2c2721;
  outline: solid 0.5px #2c2721;
}
.with_colors .color.neutral-2 {
  background-color: #443c33;
  outline: solid 0.5px #443c33;
}
.with_colors .color.neutral-3 {
  background-color: #685e52;
  outline: solid 0.5px #685e52;
}
.with_colors .color.neutral-4 {
  background-color: #c0ae9b;
  outline: solid 0.5px #c0ae9b
}
.with_colors .color.neutral-5 {
  background-color: #f0e6db;
  outline: solid 0.5px #f0e6db;
}
.with_colors .color.neutral-6 {
  background-color: #f9f4f0;
  outline: solid 0.5px #f0e6db;
}

.with_colors .color.dark-primary {
  background-color: #1e3e37;
}
.with_colors .color.primary {
  background-color: #176659;
}
.with_colors .color.light-primary {
  background-color: #d7e9e0;
}

.with_colors .color.dark-orange {
  background-color: #6d4230;
}
.with_colors .color.orange {
  background-color: #d98864;
}
.with_colors .color.light-orange {
  background-color: #fddccb;
}

.with_colors .color.dark-lava {
  background-color: #818cc4;
}
.with_colors .color.lava {
  background-color: #c7cef4;
}
.with_colors .color.light-lava {
  background-color: #e1e5fc;
}

.with_colors .color.dark-green {
  background-color: #3f5f38;
}
.with_colors .color.green {
  background-color: #aed6a5;
}
.with_colors .color.light-green {
  background-color: #cedcca;
}

.with_colors .color.pink {
  background-color: #f4bacc;
}
.with_colors .color.yellow {
  background-color: #f7de8e;
}
.with_colors .color.teal {
  background-color: #108aa3;
}

.with_colors .color.neutral-1 h3,
.with_colors .color.neutral-1 h4,
.with_colors .color.neutral-2 h3,
.with_colors .color.neutral-2 h4,
.with_colors .color.neutral-3 h3,
.with_colors .color.neutral-3 h4,
.with_colors .color.color.dark-primary h3,
.with_colors .color.dark-primary h4,
.with_colors .color.primary h3,
.with_colors .color.primary h4,
.with_colors .color.color.dark-orange h3,
.with_colors .color.color.dark-orange h4,
.with_colors .color.color.dark-lava h3,
.with_colors .color.color.dark-lava h4,
.with_colors .color.color.dark-green h3,
.with_colors .color.color.dark-green h4,
.with_colors .color.color.teal h3,
.with_colors .color.color.teal h4 {
  color: #f9f4f0;
}
.with_colors .color.copied {
  position: relative;
}
.with_colors .color.copied :after {
  content: "Copied!";
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  width: 80px;
  height: 40px;
  background-color: #2c2c2c;
  border-radius: 3px;
  box-shadow: 0 2px 2px var(--darkgray);
  color: white;
  text-align: center;
  font-size: 14px;
  font-weight: 400;
  font-family: "Work Sans", "Helvetica", sans-serif;
  line-height: 2.8;
  opacity: 0;
  animation: opacity0_1_0 1s cubic-bezier(0.77, 0, 0.175, 1) forwards;
}

@keyframes opacity0_1_0 {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 1;
  }
  75% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
